Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 601671 - HostVG removal fails when trying to partition on the second disk
HostVG removal fails when trying to partition on the second disk
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ovirt-node (Show other bugs)
5.5
All Linux
medium Severity medium
: rc
: ---
Assigned To: Joey Boggs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-08 08:41 EDT by Vivian Bian
Modified: 2010-07-14 08:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-14 08:21:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ovirt.log (32.14 KB, text/plain)
2010-06-08 08:41 EDT, Vivian Bian
no flags Details

  None (edit)
Description Vivian Bian 2010-06-08 08:41:51 EDT
Created attachment 422171 [details]
ovirt.log

Description of problem:


Version-Release number of selected component (if applicable):
rhev-hypervisor-5.5-2.2.4

How reproducible:
Always

Steps to Reproduce:
1. install RHEVH onto local disk A   
2. do partition configuration on local disk B 
3. commit 
  
Actual results:
Labeling Drive Labeling Drive
Creating boot partition Creating boot partition
Creating LVM partition Creating LVM partition
Toggling boot on Toggling boot on
Toggling LVM on Toggling LVM on
ERROR: Configure storage partitions FAILED. See /var/log/ovirt.log


[root@dhcp-66-70-24 ~]# pvs
  PV                                      VG     Fmt  Attr PSize   PFree  
  /dev/mapper/SATA_ST3320613AS_9SZ4K3VXp2        lvm2 a-   297.84G 296.34G
[root@dhcp-66-70-24 ~]# vgs
  VG     #PV #LV #SN Attr   VSize   VFree  
  HostVG   1   6   0 wz--n- 297.84G 296.34G
[root@dhcp-66-70-24 ~]# lvs
  LV         VG     Attr   LSize   Origin Snap%  Move Log Copy%  Convert
  Config     HostVG -wi-ao 256.00M                                      
  Data       HostVG -wi-ao 256.00M                                      
  Logging    HostVG -wi-ao 256.00M                                      
  Root       HostVG -wi-a- 256.00M                                      
  RootBackup HostVG -wi-a- 256.00M                                      
  Swap       HostVG -wi-a- 256.00M  

Expected results:


Additional info:
for attached ovirt.log 
SATA_ST3250410AS_6RYLRH12_ is disk A 
SATA_ST3320613AS_9SZ4K3VX is disk B
Comment 1 Joey Boggs 2010-07-08 16:09:05 EDT
Couldn't seem to reproduce this the latest version 5.5-2.2.4.2 can you try reproducing on that version?
Comment 2 Vivian Bian 2010-07-09 03:36:57 EDT
tried on following scenarios but not local disk today (for two local disks box is not available for me today)

test version 
rhev-hypervisor-5.5-2.2.5.iso

S1 :
create a VM with two qcow2 images 
1.interactive installation of RHEVH onto one of its disk
2.interactive configure partition on the other disk 
3.commit 

result
there is no such bug 

S2 :
1.interactive installation of RHEVH onto FC LUN A
2.interactive configure partition on FC LUN B
3.commit

result
there is no such bug 

S3 :
1.interactive installation of RHEVH onto local disk 
2.interactive configure partition on USB stick 
3.commit 

result
there is no such bug 

I would test local disk -> local disk when box is available on Monday
Comment 3 Joey Boggs 2010-07-12 16:13:50 EDT
just setting back to needinfo for an update when possible
Comment 4 Vivian Bian 2010-07-14 05:12:25 EDT
(In reply to comment #3)
> just setting back to needinfo for an update when possible    

test version 
rhev-hypervisor-5.5-2.2.5.1.iso

S1 :
create a VM with two qcow2 images 
1.interactive installation of RHEVH onto one of its disk
2.interactive configure partition on the other disk 
3.commit 

result
there is no such bug 

S2 :
1.interactive installation of RHEVH onto FC LUN A
2.interactive configure partition on FC LUN B
3.commit

result
there is no such bug 

S3 :
1.interactive installation of RHEVH onto local disk 
2.interactive configure partition on USB stick 
3.commit 

result
there is no such bug 

S4:
1.interactive installation of RHEVH onto local disk A
2.interactive configure partition on local disk B
3.commit 

result
there is no such bug 

So there is no bug on rhev-hypervisor-5.5-2.2.5.1.iso
Comment 5 Joey Boggs 2010-07-14 08:21:57 EDT
unreproduceable on rhev-hypervisor-5.5-2.2.5.1

Note You need to log in before you can comment on or make changes to this bug.